Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Narvaez <dwnarvaez@gmail.com>2012-07-03 13:46:24 (GMT)
committer Daniel Narvaez <dwnarvaez@gmail.com>2012-07-03 13:46:24 (GMT)
commitee3ae2a93663c7a38b91b21a912b37c5bc6858ed (patch)
treefd277c25c4d845e9aad7f9d2e40500910b23d023
parent2750b99855cbff8408add60d060547b8a80665db (diff)
Pass a few options to Xvfb
These are taken from the dogtail scripts. Unlikely but let's see if it fixes the issue with missing clicks on high system load.
-rwxr-xr-xscripts/run-dogtail-tests9
1 files changed, 6 insertions, 3 deletions
diff --git a/scripts/run-dogtail-tests b/scripts/run-dogtail-tests
index 2d39f3b..015dc91 100755
--- a/scripts/run-dogtail-tests
+++ b/scripts/run-dogtail-tests
@@ -4,6 +4,7 @@ scriptsdir=`dirname "$0"`
rootdir=`dirname "$scriptsdir"`
testsdir=$rootdir/tests
display=:99
+resolution=1024x768x16
minver="0.8.0"
version=`python -c "import dogtail; print dogtail.__version__"`
@@ -12,9 +13,11 @@ if [ "$minver" != "`echo -e "$minver\n$version" | sort -V | head -n1`" ]; then
exit 0
fi
-xserver=`which Xvfb`
+xvfb=`which Xvfb`
+xserver="$xvfb $display -ac -noreset -shmem -screen 0 $resolution"
+
if [ -z "$SUGAR_BUILDBOT" ]; then
- xserver=
+ xserver=$display
fi
export SUGAR_LOGGER_LEVEL=debug
@@ -23,7 +26,7 @@ export SUGAR_PROFILE=dogtail
rm -rf ~/.sugar/dogtail
-xinit $scriptsdir/xinitrc -- $xserver $display &
+xinit $scriptsdir/xinitrc -- $xserver &
xinitpid=$!
# FIXME starting the tests immediately puts dogtail in a broken state